CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Functor Class Referenceabstract

`#include <Protector.h>`

Inheritance diagram for Functor:

## Public Member Functions

virtual | ~Functor ()
virtual bool | operator() () const =0

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN Functor::~Functor | ( |  | ) |

virtual

## Member Function Documentation

virtual bool Functor::operator() | ( |  | ) | const

pure virtual

Implemented in TestCaseMethodFunctor, and ProtectorChain::ProtectFunctor.

The documentation for this class was generated from the following files:

- Protector.h
- Protector.cpp

| Send comments to: CppUnit Developers